import type { PriceRequestDto } from "@stakekit/api-hooks";
import type { Prices } from "../../domain/types/price";
export declare const usePrices: <T = Prices>(priceRequestDto: PriceRequestDto | null | undefined, opts?: {
    enabled?: boolean;
    select?: (val: Prices) => T;
}) => import("@tanstack/react-query").UseQueryResult<T, import("@stakekit/api-hooks").StakeKitErrorDto> & {
    queryKey: import("@tanstack/react-query").QueryKey;
};
